package com.cim.idm.service.Impl;

import com.cim.idm.framework.orm.service.CommonHistoryDataAdaptor;
import com.cim.idm.model.BSLabel;
import com.cim.idm.model.BSLabelHistory;
import com.cim.idm.model.BSLabelHistoryKey;
import org.springframework.stereotype.Service;

@Service
public class BSLabelHistoryDataAdaptor extends CommonHistoryDataAdaptor<BSLabel, BSLabelHistoryKey, BSLabelHistory>{

	@Override
	protected BSLabelHistoryKey getHistoryKey(BSLabel dataInfo) {
		BSLabelHistoryKey key = new BSLabelHistoryKey();
		key.setLabelID(dataInfo.getKey().getLabelID());
		return key;
	}

}
